Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.security.krb5
Class KerberosTokenConsumer

    java.lang.Object
      com.ibm.security.krb5.KerberosTokenConsumer

    public class KerberosTokenConsumer

extends java.lang.Object

DOCUMENT ME!

Field Summary
`static Oid` | `MECH_TYPE_KRB5` We only support the KRB5 mech.

Constructor Summary
`KerberosTokenConsumer()` Creates a new KerberosTokenConsumer object.

Method Summary
`void` | `init(java.util.Map config)` Inializes the KerberosTokenConsumer with a Map set of objects listed: SERVICE_KEYTAB = Kerberos KeyTab that contains the Servers Credentials SUBJECT= Input JAAS Subject that may or may not contain credentials ENCODING = JVM Character encoding(Default UTF-8) BASE64_TOKEN = byte[] of the Base64 encoded input Token DECODED_TOKEN = byte[] of the decoded input Token STRING_TOKEN = String of the Base64 encoded input Token SERVICE_NAME = String principal Name of the Service SERVICEPASSWORD = String Service password, required is using JAAS REALM_NAME = String REALM name LOGINCONF = JAAS Login Configuration File URL
`void` | `invoke(java.util.Map context)`
`void` | `setUseSubjectCreds(boolean setUseSubjectCreds)` Forces the context to use the provided subject for the credentials

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MECH_TYPE_KRB5

    public static Oid MECH_TYPE_KRB5

  We only support the KRB5 mech.

Constructor Detail

### KerberosTokenConsumer

    public KerberosTokenConsumer()

  Creates a new KerberosTokenConsumer object.

Method Detail

### init

    public void init(java.util.Map config)
              throws java.lang.Exception

  Inializes the KerberosTokenConsumer with a Map set of objects listed:
  SERVICE_KEYTAB = Kerberos KeyTab that contains the Servers Credentials
  SUBJECT= Input JAAS Subject that may or may not contain credentials
  ENCODING = JVM Character encoding(Default UTF-8)
  BASE64_TOKEN = byte[] of the Base64 encoded input Token
  DECODED_TOKEN = byte[] of the decoded input Token
  STRING_TOKEN = String of the Base64 encoded input Token
  SERVICE_NAME = String principal Name of the Service
  SERVICEPASSWORD = String Service password, required is using JAAS
  REALM_NAME = String REALM name
  LOGINCONF = JAAS Login Configuration File URL

  Parameters:
    `config` - including the objects listed.
  Throws:
    `java.lang.Exception`

### invoke

    public void invoke(java.util.Map context)
                throws java.lang.Exception

  Parameters:
    `context` - Map context will contain the object within this class after a successful invocation.
  Throws:
    `java.lang.IllegalStateException`
    `java.lang.Exception`

### setUseSubjectCreds

    public void setUseSubjectCreds(boolean setUseSubjectCreds)

  Forces the context to use the provided subject for the credentials

  Parameters:
    `setUseSubjectCreds` - Boolean default equals false

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD